samba 2.2.8 problem on OSR 5.0.7 - SCO

This is a discussion on samba 2.2.8 problem on OSR 5.0.7 - SCO ; Can not start smbd, the error message is: # cat log.smbd [2007/01/23 09:11:54, 0] param/params.c 543) params.c:OpenConfFile() - Unable to open configuration file "/usr/lib/samba/lib/smb.conf": Insufficient or invalid memory OSR 5.0.7 with service packs 3 and 4 applied. Samba package was ...

+ Reply to Thread
Results 1 to 6 of 6

Thread: samba 2.2.8 problem on OSR 5.0.7

  1. samba 2.2.8 problem on OSR 5.0.7

    Can not start smbd, the error message is:

    # cat log.smbd
    [2007/01/23 09:11:54, 0] param/params.c543)
    params.c:OpenConfFile() - Unable to open configuration file
    "/usr/lib/samba/lib/smb.conf":
    Insufficient or invalid memory

    OSR 5.0.7 with service packs 3 and 4 applied. Samba package was ftp'd
    from SCO site and installed with pkgadd command, that I saw in readme
    file. Everything went OK, but one thing I want to mention - samba is
    not shown on custom, but I see it is installed:
    # pkginfo samba
    application samba Samba - A Windows SMB/CIFS fileserver for
    UNIX

    The configuration file is present
    # pwd
    /usr/lib/samba/lib
    # l
    total 28
    drwxr-xr-x 3 root sys 512 Jan 22 13:55 codepages
    -rw-rw-rw- 1 root sys 368 Jan 22 15:33 smb.conf
    -rw-r--r-- 1 root sys 10728 Oct 21 2003 smb.conf.orig

    One more piece of info: I did run
    /etc/init.d/samba enable
    but did not see any startup file added to rc2.d.

    Please help to resolve this, any pointers would be appreciated.

    Regards


  2. Re: samba 2.2.8 problem on OSR 5.0.7



    On Jan 25, 1:47 pm, migu...@yahoo.com wrote:
    > Can not start smbd, the error message is:
    >
    > # cat log.smbd
    > [2007/01/23 09:11:54, 0] param/params.c543)
    > params.c:OpenConfFile() - Unable to open configuration file
    > "/usr/lib/samba/lib/smb.conf":
    > Insufficient or invalid memory
    >
    > OSR 5.0.7 with service packs 3 and 4 applied.



    OSR507 had Update Packs (now discontinued) and Maintenance Packs, but
    no service packs. Maintenance Pack 5 has been available since August
    is marked as critical. It's available separately or on the OSR 507
    Supplement CD, which also includes samba 3.0.20a. Both MP5 and the
    Supplement CD are available here:

    http://www.sco.com/support/update/do...sr507list.html

    > Samba package was ftp'd
    > from SCO site and installed with pkgadd command, that I saw in readme
    > file. Everything went OK, but one thing I want to mention - samba is
    > not shown on custom, but I see it is installed:


    The samba on the Supplement CD is considerably newer than the 2.28
    version mentioned in the subject line.

    > # pkginfo samba
    > application samba Samba - A Windows SMB/CIFS fileserver for
    > UNIX
    >
    > The configuration file is present
    > # pwd
    > /usr/lib/samba/lib
    > # l
    > total 28
    > drwxr-xr-x 3 root sys 512 Jan 22 13:55 codepages
    > -rw-rw-rw- 1 root sys 368 Jan 22 15:33 smb.conf
    > -rw-r--r-- 1 root sys 10728 Oct 21 2003 smb.conf.orig
    >
    > One more piece of info: I did run
    > /etc/init.d/samba enable
    > but did not see any startup file added to rc2.d.
    >
    > Please help to resolve this, any pointers would be appreciated.
    >
    > Regards



  3. Re: samba 2.2.8 problem on OSR 5.0.7

    On Thu, Jan 25, 2007, migurus@yahoo.com wrote:
    >Can not start smbd, the error message is:
    >
    ># cat log.smbd
    >[2007/01/23 09:11:54, 0] param/params.c543)
    > params.c:OpenConfFile() - Unable to open configuration file
    >"/usr/lib/samba/lib/smb.conf":
    > Insufficient or invalid memory
    >
    >OSR 5.0.7 with service packs 3 and 4 applied. Samba package was ftp'd
    >from SCO site and installed with pkgadd command, that I saw in readme
    >file. Everything went OK, but one thing I want to mention - samba is
    >not shown on custom, but I see it is installed:


    Samba-2.2.8 is rather ancient.

    The current version of Samba is at least 3.0.22 (I'm not sure if
    there's a more recent stable release). Samba 2.2.8 is at least
    three years old (SuSE 9.0 Pro was the last Linux release I've
    seen that still had samba-2.2.8a date Sep 23 2003).

    Bill
    --
    INTERNET: bill@Celestial.COM Bill Campbell; Celestial Software, LLC
    URL: http://www.celestial.com/ PO Box 820; 6641 E. Mercer Way
    FAX: (206) 232-9186 Mercer Island, WA 98040-0820; (206) 236-1676

    We contend that for a nation to try to tax itself into prosperity is like a
    man standing in a bucket and trying to lift himself up by the handle.
    -- Winston Churchill

  4. Re: samba 2.2.8 problem on OSR 5.0.7

    At Forum I was told that there were some problems with Samba
    compilation so some functionality is stubbed in, mostly in the area of
    validation. An MP is in the works for OpenServer 6 probably this
    quarter; didn't ask about 5.0.7 but imagine that would be done, too.

    --Ray Robert

    On Jan 25, 11:24 am, Bill Campbell wrote:
    > On Thu, Jan 25, 2007, migu...@yahoo.com wrote:
    > >Can not start smbd, the error message is:

    >
    > ># cat log.smbd
    > >[2007/01/23 09:11:54, 0] param/params.c543)
    > > params.c:OpenConfFile() - Unable to open configuration file
    > >"/usr/lib/samba/lib/smb.conf":
    > > Insufficient or invalid memory

    >
    > >OSR 5.0.7 with service packs 3 and 4 applied. Samba package was ftp'd
    > >from SCO site and installed with pkgadd command, that I saw in readme
    > >file. Everything went OK, but one thing I want to mention - samba is
    > >not shown on custom, but I see it is installed:Samba-2.2.8 is rather ancient.

    >
    > The current version of Samba is at least 3.0.22 (I'm not sure if
    > there's a more recent stable release). Samba 2.2.8 is at least
    > three years old (SuSE 9.0 Pro was the last Linux release I've
    > seen that still had samba-2.2.8a date Sep 23 2003).
    >
    > Bill
    > --
    > INTERNET: b...@Celestial.COM Bill Campbell; Celestial Software, LLC
    > URL:http://www.celestial.com/ PO Box 820; 6641 E. Mercer Way
    > FAX: (206) 232-9186 Mercer Island, WA 98040-0820; (206) 236-1676
    >
    > We contend that for a nation to try to tax itself into prosperity is like a
    > man standing in a bucket and trying to lift himself up by the handle.
    > -- Winston Churchill



  5. Re: samba 2.2.8 problem on OSR 5.0.7



    On Jan 25, 11:24 am, "Roger Cornelius" wrote:
    > On Jan 25, 1:47 pm, migu...@yahoo.com wrote:
    >
    > > Can not start smbd, the error message is:

    >
    > > # cat log.smbd
    > > [2007/01/23 09:11:54, 0] param/params.c543)
    > > params.c:OpenConfFile() - Unable to open configuration file
    > > "/usr/lib/samba/lib/smb.conf":
    > > Insufficient or invalid memory

    >
    > > OSR 5.0.7 with service packs 3 and 4 applied.OSR507 had Update Packs (now discontinued) and Maintenance Packs, but

    > no service packs. Maintenance Pack 5 has been available since August
    > is marked as critical. It's available separately or on the OSR 507
    > Supplement CD, which also includes samba 3.0.20a. Both MP5 and the
    > Supplement CD are available here:
    >
    > http://www.sco.com/support/update/do...sr507list.html
    >
    > > Samba package was ftp'd
    > > from SCO site and installed with pkgadd command, that I saw in readme
    > > file. Everything went OK, but one thing I want to mention - samba is
    > > not shown on custom, but I see it is installed:The samba on the Supplement CD is considerably newer than the 2.28

    > version mentioned in the subject line.
    >
    >
    >
    > > # pkginfo samba
    > > application samba Samba - A Windows SMB/CIFS fileserver for
    > > UNIX

    >
    > > The configuration file is present
    > > # pwd
    > > /usr/lib/samba/lib
    > > # l
    > > total 28
    > > drwxr-xr-x 3 root sys 512 Jan 22 13:55 codepages
    > > -rw-rw-rw- 1 root sys 368 Jan 22 15:33 smb.conf
    > > -rw-r--r-- 1 root sys 10728 Oct 21 2003 smb.conf.orig

    >
    > > One more piece of info: I did run
    > > /etc/init.d/samba enable
    > > but did not see any startup file added to rc2.d.

    >
    > > Please help to resolve this, any pointers would be appreciated.

    >
    > > Regards- Hide quoted text -- Show quoted text -



    Thank you. I have removed old version and loaded ver.3.0.14 from 507
    supplement and it worked


  6. Re: samba 2.2.8 problem on OSR 5.0.7



    On Jan 26, 2:43 pm, migu...@yahoo.com wrote:
    > On Jan 25, 11:24 am, "Roger Cornelius" wrote:
    >
    >
    >
    > > On Jan 25, 1:47 pm, migu...@yahoo.com wrote:

    >
    > > > Can not start smbd, the error message is:

    >
    > > > # cat log.smbd
    > > > [2007/01/23 09:11:54, 0] param/params.c543)
    > > > params.c:OpenConfFile() - Unable to open configuration file
    > > > "/usr/lib/samba/lib/smb.conf":
    > > > Insufficient or invalid memory

    >
    > > > OSR 5.0.7 with service packs 3 and 4 applied.OSR507 had Update Packs (now discontinued) and Maintenance Packs, but

    > > no service packs. Maintenance Pack 5 has been available since August
    > > is marked as critical. It's available separately or on the OSR 507
    > > Supplement CD, which also includes samba 3.0.20a. Both MP5 and the
    > > Supplement CD are available here:

    >
    > > http://www.sco.com/support/update/do...sr507list.html

    >
    > > > Samba package was ftp'd
    > > > from SCO site and installed with pkgadd command, that I saw in readme
    > > > file. Everything went OK, but one thing I want to mention - samba is
    > > > not shown on custom, but I see it is installed:The samba on the Supplement CD is considerably newer than the 2.28

    > > version mentioned in the subject line.

    >
    > > > # pkginfo samba
    > > > application samba Samba - A Windows SMB/CIFS fileserver for
    > > > UNIX

    >
    > > > The configuration file is present
    > > > # pwd
    > > > /usr/lib/samba/lib
    > > > # l
    > > > total 28
    > > > drwxr-xr-x 3 root sys 512 Jan 22 13:55 codepages
    > > > -rw-rw-rw- 1 root sys 368 Jan 22 15:33 smb.conf
    > > > -rw-r--r-- 1 root sys 10728 Oct 21 2003 smb.conf.orig

    >
    > > > One more piece of info: I did run
    > > > /etc/init.d/samba enable
    > > > but did not see any startup file added to rc2.d.

    >
    > > > Please help to resolve this, any pointers would be appreciated.

    >
    > > > Regards- Hide quoted text -- Show quoted text -Thank you. I have removed old version and loaded ver.3.0.14 from 507

    > supplement and it worked


    If you really got 3.0.14, then you used an old version of the
    supplement CD. As stated above, the current version of the CD has
    samba 3.0.20a.


+ Reply to Thread